# Generated by Django 4.1.6 on 2023-04-06 11:09

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations

import main.blocks
import shared.blocks


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0050_alter_mainhomepage_instagram_access"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="mainhomepage",
            name="twitter_usernames",
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "carousel",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "slides",
                                    wagtail.blocks.ListBlock(
                                        main.blocks.HomePageCarouseSlideBlock,
                                        label="Obrázky s nadpisy - carouselu",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Nejnovější články se načtou automaticky",
                                        label="Titulek",
                                    ),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek pozadí", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "people",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(label="Hlavní titulek"),
                                ),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        shared.blocks.PersonBoxBlock, label="Boxíky"
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "regions",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Články pro regiony se načtou automaticky",
                                        label="Titulek",
                                    ),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek pozadí", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "instagram_posts",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        help_text="Instagramové posty budou načteny pro všechny profily uvedené v nastavení webu automaticky",
                                        label="Titulek",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "boxes",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        shared.blocks.PersonBoxBlock, label="Boxíky"
                                    ),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek pozadí", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Hlavní obsah",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="instagram_access",
            field=wagtail.fields.StreamField(
                [
                    (
                        "instagram_access",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "name",
                                    wagtail.blocks.CharBlock(label="Zobrazované jméno"),
                                ),
                                (
                                    "username",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. pirati.cz, bez @ na začátku!",
                                        label="Username",
                                    ),
                                ),
                                (
                                    "access_token",
                                    wagtail.blocks.CharBlock(label="Přístupový token"),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Uživatelská jména a přístupové tokeny pro synchronizované Instagram účty",
            ),
        ),
    ]
